#include <def21262.h>

//#define SAMPLE_RISING_EDGE

.section/pm seg_rth;
	nop;nop;nop;nop;
	nop;jump start;
	
.section/pm seg_sp;
	jump isr;nop;nop;nop;
	
.section/dm seg_dmda;
	.var adc_data;
		
.section/pm seg_pmco;
start:
	bit set LIRPTL SP0IMSK;
	bit set mode1 IRPTEN;
	
	r0 = 0x0;
	dm(SPCTL0) = r0;
	
	// 5MHz SCLK
	r0 = 0x000F0077;
	dm(DIV0) = r0;
	
	// Configuring Serial word length of 14 bits.
#ifdef SAMPLE_RISING_EDGE
	r0 = LAFS | LFS | IFS | FSR | CKRE | ICLK | SLEN14 | SPEN_A;
#else
	r0 = LAFS | LFS | IFS | FSR | ICLK | SLEN14 | SPEN_A;
#endif
	dm(SPCTL0) = r0;
	
	nop;
	nop;
	jump (pc,0);
	
isr:
	r0 = dm(RXSP0A);
	dm(adc_data) = r0;
	rti;
	
